package com.yiqi.crm.service;

import com.baomidou.mybatisplus.extension.service.IService;
import com.yiqi.crm.domain.WxMenu;
import me.chanjar.weixin.common.error.WxErrorException;

import java.util.List;

/**
 * 微信菜单管理Service接口
 *
 * @author ruoyi
 * @date 2023-08-04
 */
public interface IWxMenuService extends IService<WxMenu> {
    /**
     * 查询微信菜单管理
     *
     * @param wxMenuId 微信菜单管理主键
     * @return 微信菜单管理
     */
    public WxMenu selectWxMenuByWxMenuId(Long wxMenuId);

    /**
     * 查询微信菜单管理列表
     *
     * @param wxMenu 微信菜单管理
     * @return 微信菜单管理集合
     */
    public List<WxMenu> selectWxMenuList(WxMenu wxMenu);

    /**
     * 查询微信菜单管理列表
     * @return 微信菜单管理集合
     */
    public List<WxMenu> getAllWxMenu();

    /**
     * 查询微信菜单类型列表
     * @return 微信菜单管理
     */
    public List<WxMenu> getMenuTypeList();
    /**
     * 新增微信菜单管理
     *
     * @param wxMenu 微信菜单管理
     * @return 结果
     */
    public int insertWxMenu(WxMenu wxMenu);

    /**
     * 修改微信菜单管理
     *
     * @param wxMenu 微信菜单管理
     * @return 结果
     */
    public int updateWxMenu(WxMenu wxMenu);

    /**
     * 批量删除微信菜单管理
     *
     * @param wxMenuIds 需要删除的微信菜单管理主键集合
     * @return 结果
     */
    public int deleteWxMenuByWxMenuIds(Long[] wxMenuIds);

    /**
     * 删除微信菜单管理信息
     *
     * @param wxMenuId 微信菜单管理主键
     * @return 结果
     */
    public int deleteWxMenuByWxMenuId(Long wxMenuId);

    /**
     * 创建微信菜单管理信息
     * @return 结果
     */
    public void createMenu() throws WxErrorException;
}
